Bug 1302685 (CVE-2016-2044) - CVE-2016-2044 phpMyAdmin: Full path disclosure vulnerability in SQL parser (PMASA-2016-8)
Summary: CVE-2016-2044 phpMyAdmin: Full path disclosure vulnerability in SQL parser (P...
Status: CLOSED ERRATA
Alias: CVE-2016-2044
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: All
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160128,repor...
Keywords: Security
Depends On: 1302790 1302791 1302792
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-28 11:42 UTC by Robert Scheck
Modified: 2016-11-28 14:48 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-28 14:48:13 UTC


Attachments (Terms of Use)

Description Robert Scheck 2016-01-28 11:42:32 UTC
Description:
By calling a particular script that is part of phpMyAdmin in an unexpected
way, it is possible to trigger phpMyAdmin to display a PHP error message
which contains the full path of the directory where phpMyAdmin is installed.

External References:
https://www.phpmyadmin.net/security/PMASA-2016-8/

Comment 2 Adam Mariš 2016-01-28 16:17:45 UTC
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1302790]
Affects: epel-all [bug 1302791]

Comment 3 Fedora Update System 2016-02-01 06:20:48 UTC
phpMyAdmin-4.5.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-02-03 20:49:49 UTC
phpMyAdmin-4.5.4.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.